%define name xkobo
%define version 1.11
%define release 8mdk

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: X11 space arcade game
Summary(fr): Jeu d'arcade dans l'espace

Name: %{name}
Version: %{version}
Release: %{release}
Group: Games/Arcade
Copyright: GPL
#Vendor: Akira Higuchi <a-higuti@math.hokudai.ac.jp>
#Packager: ObiTuarY <obituary@freshmeat.net>
#Distribution: Freshmeat RPMs
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}16.xpm.bz2
Source3: %{name}32.xpm.bz2
Source4: %{name}48.xpm.bz2
Patch: %{name}-%{version}-1-imake.patch.bz2
Patch1: xkobo-1.11-gcc295.patch.bz2
Patch2: xkobo-1.11-libpath.path.bz2
Buildroot: /tmp/%{name}-%{version}-%{release}-root

%changelog
* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.11-8mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.11-7mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.11-6mdk
- Added menu entry.

* Wed Mar 22 2000 dam's <damien@mandrakesoft.com> 1.11-5mdk
- release

* Thu Dec 30 1999 Frederic Lepied <flepied@mandrakesoft.com> 1.11-4mdk

- fix permissions in /var/lib/games/xkobo.

* Mon Nov  1 1999  Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix compilation with gcc2.95.


* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.11 :
        * fixed an endianness problem of score files
	* secure score files
		    

* Thu May 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.


%description
Xkobo is a arcade video game for X11. The goal is to
destroy the enemi bases. But the enemi will fire at
you and send fighter spacecrafts to get you. You'll
have hours and hours of fun with this game.

%description -l fr
Xkobo est un jeux video d'arcade pour X11. Le but est
de dtruire les bases enemies. Mais l'enemi fera feu
sur vous et vous enverra des navettes de chasse pour
vous avoir. Vous aurez des heures et des heures de
plaisir avec ce jeu.

%prep

%setup

%patch -p1
%patch1 -p1
%patch2 -p1

%build
xmkmf -a
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k" xkobo; exit 0)
        make xkobo
else
        make xkobo
fi


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/{usr/X11R6/{bin,man/man6},var/lib/games/xkobo}
cp %{builddir}/xkobo $RPM_BUILD_ROOT/usr/X11R6/bin
cp %{builddir}/xkobo.man $RPM_BUILD_ROOT/usr/X11R6/man/man6/xkobo.6

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %SOURCE2 > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
bzcat %SOURCE3 > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %SOURCE4 > $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm

%files
%defattr(-,root,root)
%doc CHANGES COPYING README*
%attr(06755,games,games) /usr/X11R6/bin/xkobo
%attr(644,root,root) /usr/X11R6/man/man6/*.6.bz2
%attr(755,games,games) %dir /var/lib/games/xkobo
/usr/lib/menu/*
/usr/share/icons/mini/*
/usr/share/icons/large/*
/usr/share/icons/%{name}.xpm

%post

if [ -d /var/lib/games/xkobo ]; then
    chown -R games.games /var/lib/games/xkobo
fi

if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}
